Package com.castlabs.android.player

# Interface ExtendedTrackSelector.EventListener

Enclosing class:
  `ExtendedTrackSelector`

public static interface ExtendedTrackSelector.EventListener
Interface which receives Track Selection-related callbacks.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onNoRendererFound(int mediaType)`
  Informs that no active Renderer has been found for the given mediaType.
  `void`
  `onTrackSelection(ExtendedTrackSelector.ModelSelection modelSelection)`
  Track selection was triggered but not activated yet
  `void`
  `onTrackSelectionActivated(ExtendedTrackSelector.ModelSelection modelSelection)`
  Track selection has changed
  `void`
  `onTunnelingError(TunnelingException error)`
  Informs that tunneling mode can not be enabled for the current playback
  `void`
  `onUnsupportedContent(int mediaType, int filterReason)`
  The indicated mediaType cannot be played with the current configuration and / or on the current device.
  `void`
  `onVideoBlocklistError(BlocklistException error)`
  Informs that the video quality blacklisting failed
  `void`
  `onVideoKeyStatusChanged(List<VideoTrackQuality> trackList)`
  Video track key status has changed

- ## Method Details

  - ### onTrackSelectionActivated

    void onTrackSelectionActivated(@NonNull ExtendedTrackSelector.ModelSelection modelSelection)
    Track selection has changed
    Parameters:
      `modelSelection` - the new model

  - ### onTrackSelection

    void onTrackSelection(@NonNull ExtendedTrackSelector.ModelSelection modelSelection)
    Track selection was triggered but not activated yet
    Parameters:
      `modelSelection` - the new model

  - ### onVideoKeyStatusChanged

    void onVideoKeyStatusChanged(List<VideoTrackQuality> trackList)
    Video track key status has changed
    Parameters:
      `trackList` - the list of `VideoTrackQuality` with updated key statuses

  - ### onVideoBlocklistError

    void onVideoBlocklistError(@NonNull BlocklistException error)
    Informs that the video quality blacklisting failed
    Parameters:
      `error` - the `BlocklistException` that occurred

  - ### onUnsupportedContent

    void onUnsupportedContent(int mediaType, int filterReason)
    The indicated mediaType cannot be played with the current configuration and / or on the current device.
    Parameters:
      `mediaType` - the mediaType that has been filtered
      `filterReason` - the filter reason. Will be one of the FILTER_REASON_* constants in `SdkConsts`. `SdkConsts.selectionReasonToString(int)` can also be used in order to get a human readable description of the reason.

  - ### onNoRendererFound

    void onNoRendererFound(int mediaType)
    Informs that no active Renderer has been found for the given mediaType. It's also possible that a particular Renderer is disabled.
    Parameters:
      `mediaType` - the mediaType for which no active Renderer has been found

  - ### onTunnelingError

    void onTunnelingError(@NonNull TunnelingException error)
    Informs that tunneling mode can not be enabled for the current playback
    Parameters:
      `error` - Tunneling exception holding additional info.